Bug 783676 - [abrt] pyrit-0.4.0-4.fc16: pckttools.py:488:read:IOError: libpcap-error while reading: truncated dump file; tried to read 16 captured bytes, only got 12
[abrt] pyrit-0.4.0-4.fc16: pckttools.py:488:read:IOError: libpcap-error while...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pyrit (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
abrt_hash:d0fd8957ee4ab188db417b8aa8c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-21 12:13 EST by Fred
Modified: 2013-02-13 18:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 18:11:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Fred 2012-01-21 12:13:55 EST
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/bin/pyrit -r /tmp/wifiteGsg1z8/wpa-01.cap analyze
event_log:      2012-01-21-12:05:19> Smolt profile successfully saved
executable:     /usr/bin/pyrit
kernel:         3.1.5-6.fc16.x86_64
reason:         pckttools.py:488:read:IOError: libpcap-error while reading: truncated dump file; tried to read 16 captured bytes, only got 12
time:           Mon 19 Dec 2011 08:52:52 PM EST
uid:            0
username:       root

backtrace:
:pckttools.py:488:read:IOError: libpcap-error while reading: truncated dump file; tried to read 16 captured bytes, only got 12
:
:Traceback (most recent call last):
:  File "/usr/bin/pyrit", line 6, in <module>
:    pyrit_cli.Pyrit_CLI().initFromArgv()
:  File "/usr/lib64/python2.7/site-packages/pyrit_cli.py", line 115, in initFromArgv
:    func(self, **options)
:  File "/usr/lib64/python2.7/site-packages/pyrit_cli.py", line 163, in new_f
:    f(*args, **kwds)
:  File "/usr/lib64/python2.7/site-packages/pyrit_cli.py", line 447, in analyze
:    parser = self._getParser(capturefile)
:  File "/usr/lib64/python2.7/site-packages/pyrit_cli.py", line 179, in _getParser
:    parser.parse_pcapdevice(dev)
:  File "/usr/lib64/python2.7/site-packages/cpyrit/pckttools.py", line 600, in parse_pcapdevice
:    for pckt in reader:
:  File "/usr/lib64/python2.7/site-packages/cpyrit/pckttools.py", line 500, in next
:    pckt = self.read()
:  File "/usr/lib64/python2.7/site-packages/cpyrit/pckttools.py", line 488, in read
:    r = _cpyrit_cpu.PcapDevice.read(self)
:IOError: libpcap-error while reading: truncated dump file; tried to read 16 captured bytes, only got 12
:
:Local variables in innermost frame:
:self: <cpyrit.pckttools.PcapDevice object at 0x16d1ef0>

comment:
:1. right click on Applications in the upper-left corner
:2. select Edit Menus
:3. a bubble occurs declaring error

smolt_data:
:
:
:General
:=================================
:UUID: 780e2f6f-3c87-4643-ba0d-8bfd23cbe9a7
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 4787.76
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5 CPU       M 520  @ 2.40GHz
:CPU Stepping: 2
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2400
:System Memory: 3816
:System Swap: 0
:Vendor: Dell Inc.
:System: Latitude E6410 0001
:Form factor: Laptop
:Kernel: 3.1.9-1.fc16.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:68:4136:1034) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:15152:4136:1034) pci, i801_smbus, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:10282:4136:1034) pci, ahci, RAID, Mobile 82801 SATA RAID Controller
:(32902:15111:4136:1034) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:4136:1034) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:4330:4136:1034) pci, e1000e, ETHERNET, 82577LM Gigabit Network Connection
:(32902:15174:4136:1034) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 3
:(32902:16940:32902:4897) pci, iwlwifi, NETWORK, Centrino Advanced-N 6200 2x2 AGN
:(32902:15164:4136:1034) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:9288:4136:1034) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(4480:59426:4136:1034) pci, sdhci-pci, BASE, MMC/SD Host Controller
:(4480:59442:4136:1034) pci, firewire_ohci, FIREWIRE, FireWire Host Controller
:(32902:70:4136:1034) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15176:4136:1034) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 4
:(32902:15170:4136:1034) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:4136:1034) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15190:4136:1034) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15156:4136:1034) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:11521:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:11362:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11537:32902:32902) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11536:32902:32902) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11539:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11538:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda6 / ext4 4096 4096 8974242 7098030 7006888 2285568 2077293 2077293
:/dev/sda3 WITHHELD fuseblk 4096 4096 29214975 14681968 14681968 58858944 58771454 58771454
:
Comment 1 Fedora End Of Life 2013-01-16 14:16:51 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 18:11:38 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.